sampler texture0 : register(s0);
sampler texture1 : register(s1);

float4x4 WorldViewProjectionTransform  : WORLDVIEWPROJ;
float2 fTextureSize;
float fRelativePosition;

struct VS_OUTPUT 
{
   float4 Position  : POSITION;
   float2 TexCoord  : TEXCOORD0;
};

struct PS_OUTPUT
{
    float4 RGBColor : COLOR0;  // Pixel color    
};

VS_OUTPUT vertexMain(
				float4 vPosition : POSITION,
				float2 texCoord : TEXCOORD0)
{
	VS_OUTPUT Output; 

	Output.Position = mul(vPosition, WorldViewProjectionTransform);
	Output.TexCoord = texCoord;
	return Output;
}

PS_OUTPUT pixelMain(VS_OUTPUT In)
{
	float2 coord = In.TexCoord;
	coord.x -= 1.f - fRelativePosition;
	
	float fFirstPixel = step(1.f - fRelativePosition, In.TexCoord.x);
	float fFirstPixelInv = 1.f - fFirstPixel;

	float4 result = tex2D(texture0, coord) * fFirstPixelInv + tex2D(texture1, coord) * fFirstPixel;

	PS_OUTPUT output;
	output.RGBColor = result;
	output.RGBColor.a = 1.f;

	return output;
}